Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.43
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.el
Class JspValueExpression

    java.lang.Object
      javax.el.Expression
          javax.el.ValueExpression
              org.apache.jasper.el.JspValueExpression

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

    public final class JspValueExpression

extends javax.el.ValueExpression
implements java.io.Externalizable

Wrapper for providing context to ValueExpressions

Author:
  Jacob Hookom
See Also:
  Serialized Form

Constructor Summary
`JspValueExpression()`
`JspValueExpression(java.lang.String mark, javax.el.ValueExpression target)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.Class<?>` | `getExpectedType()`
`java.lang.String` | `getExpressionString()`
`java.lang.Class<?>` | `getType(javax.el.ELContext context)`
`java.lang.Object` | `getValue(javax.el.ELContext context)`
`int` | `hashCode()`
`boolean` | `isLiteralText()`
`boolean` | `isReadOnly(javax.el.ELContext context)`
`void` | `readExternal(java.io.ObjectInput in)`
`void` | `setValue(javax.el.ELContext context, java.lang.Object value)`
`void` | `writeExternal(java.io.ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspValueExpression

    public JspValueExpression()

### JspValueExpression

    public JspValueExpression(java.lang.String mark,
                              javax.el.ValueExpression target)

Method Detail

### getExpectedType

    public java.lang.Class<?> getExpectedType()

  Specified by:
    `getExpectedType` in class `javax.el.ValueExpression`

### getType

    public java.lang.Class<?> getType(javax.el.ELContext context)
                               throws java.lang.NullPointerException,
                                      javax.el.PropertyNotFoundException,
                                      javax.el.ELException

  Specified by:
    `getType` in class `javax.el.ValueExpression`
  Throws:
    `java.lang.NullPointerException`
    `javax.el.PropertyNotFoundException`
    `javax.el.ELException`

### isReadOnly

    public boolean isReadOnly(javax.el.ELContext context)
                       throws java.lang.NullPointerException,
                              javax.el.PropertyNotFoundException,
                              javax.el.ELException

  Specified by:
    `isReadOnly` in class `javax.el.ValueExpression`
  Throws:
    `java.lang.NullPointerException`
    `javax.el.PropertyNotFoundException`
    `javax.el.ELException`

### setValue

    public void setValue(javax.el.ELContext context,
                         java.lang.Object value)
                  throws java.lang.NullPointerException,
                         javax.el.PropertyNotFoundException,
                         javax.el.PropertyNotWritableException,
                         javax.el.ELException

  Specified by:
    `setValue` in class `javax.el.ValueExpression`
  Throws:
    `java.lang.NullPointerException`
    `javax.el.PropertyNotFoundException`
    `javax.el.PropertyNotWritableException`
    `javax.el.ELException`

### getValue

    public java.lang.Object getValue(javax.el.ELContext context)
                              throws java.lang.NullPointerException,
                                     javax.el.PropertyNotFoundException,
                                     javax.el.ELException

  Specified by:
    `getValue` in class `javax.el.ValueExpression`
  Throws:
    `java.lang.NullPointerException`
    `javax.el.PropertyNotFoundException`
    `javax.el.ELException`

### equals

    public boolean equals(java.lang.Object obj)

  Specified by:
    `equals` in class `javax.el.Expression`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `javax.el.Expression`

### getExpressionString

    public java.lang.String getExpressionString()

  Specified by:
    `getExpressionString` in class `javax.el.Expression`

### isLiteralText

    public boolean isLiteralText()

  Specified by:
    `isLiteralText` in class `javax.el.Expression`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.43
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2014 Apache Software Foundation. All Rights Reserved.